影醉阏轩窗

衣带渐宽终不悔,为伊消得人憔悴。
扩大
缩小

opencv3.1+contrib的配置大总结(配置了两天,遇到问题无数)

开门见山的说:别用opencv3.0,这个版本添加扩展库不怎么好,能不能成功我不敢说,我是试了无数次都不行!!!

我的配置:W7+64位+opencv3.1+Cmake3.7.2

下载

下载什么的大家都知道,网上也一大堆了:

opencv3.1.0:https://sourceforge.net/projects/opencvlibrary/files/opencv-win/3.1.0/opencv-3.1.0.exe/download

Cmake3.7.2:https://github.com/opencv/opencv_contrib:点击Clone or download-->>Download Zip

contrib最新: https://github.com/opencv/opencv_contrib:这个版本会出现很多问题,也有可能没有问题,看RP

comtrib稳定:https://codeload.github.com/Wangyida/opencv_contrib/zip/master

安装+编译

A.安装Cmake就是一直下一步,成功 -->> 

B.第一步静态编译(编译opencv官方库)

点击 出现

再点击出现

C.第二步静态编译(编译我们需要的contrib库)

点击 出现

再点击出现

错误分析

接下来说错误:

  注意:现在我编译QT发现Cmake不能再中文文件夹进行编译!!!最好放在opencv的那个文件里面!

1.遇到以下的错误,提示(ocv_download),那就去找到对应的文件,找到那个文件用记事本打开(用UE、notepad++比较好,可以直接定位到多少行)把里面的FILES改成PACKAGE。记得有三个类似的错误,都是同样的方法!

2.遇到以下的错误,是因为用的额外库版本不匹配,下载一个老版本的库就可以了。

                       https://codeload.github.com/Wangyida/opencv_contrib/zip/master

3.遇到类似这个错误,那就去下载相关的文件,手动下载一下手动下载ippicv_windows_20141027.zip(这个文件是opencv3.0对应的报错,opencv3.1报错的文件是ippicv_windows_20151201.zip,二者在网上都能下载到)这个文件,然后放到相应的目录下即可,例如,本文需要放到目录:

D:\OpenCV300\opencv\sources\3rdparty\ippicv\downloads\windows-b59f865d1ba16e8c84124e19d78eec57 

4.如果错误解决不了,那就卸载全部,然后用清理软件(360、毒霸啥的)清理一下电脑的垃圾,在进行安装。

  其实就是一点,遇到什么错误是文件那就去github下载一个替换,遇到是文里里面的下载ove。。。问题那就改正那个文件。

5.如果以上的方法什么都不行(多试几遍上面的方法,我也是弄了一天),那就是版本的问题!

建议使用Cmake3.4+opencv3.1+老版本的contrib(就是上面的版本)

6.最后你就会发现成功了!

 

7.编译又出错了,这个问题看网上说是因为Cmake版本过高了,下载3.4版本就可以了,我没试过,现在有些功能用不到,以后再尝试吧,Cmake低版本下载地址:https://cmake.org/files/,我的做法是不管它,反正编译通过过了,只不过几个模块不能用而已。

 

8.在VS里面编译的时候尽量把realease和Debug都重新编译然后生成文件,目录什么的都不用改,因为你也不知道以后用的是哪个。

 

9.什么都弄好了,在重新配置opencv3.1(contrib)+VS2015的时候花费我半天时间,当出现没有或者找不到                                 这个opencv_bioinspired310.lib;时候,你就把附加依赖项里面的这个删除就行了。

 

 

10.最后运行的时候又出错了,打不开动态链接文件opencv_core310.dll,这个问题是没配置好!我是按照以前安装opencv配          置的,但貌似我以前的配置不全,可以凑合使用,但是这次使用的库比较多,所以就不能使用了。

    很全的配置(无死角,但是很浪费内存):http://blog.csdn.net/liu798675179/article/details/51259505

 

11.如果你实在配置不好了,也不想配置了。那就直接用编译好的文件,直接包括就可以了。下面给出链接:

        opencv3.1+contrib+W7+64编译文件—下载,配置文件已经包含在里面   

  省去每次都配置的麻烦,直接包含就可以了,具体做法:半永久配置

12.解决opencv310 ffmpeg、ippicv_windows_20151201.zip无法下载问题

      https://blog.csdn.net/kelvin_yan/article/details/53635641

13.QT5.7.0+opencv3.1.0配置

      http://www.cnblogs.com/howlclat/p/6433097.html,直接下载最后的文件就可以了,不要浪费时间再去编译,真的很麻烦!

  在QT新建工程的.pro文件加入:      

INCLUDEPATH += D:\opencv_mingw_web\install\include

LIBS += D:\opencv_mingw_web\install\x86\mingw\bin\libopencv_*.dll 

  配置系统环境变量:

  QT的安装配置链接已经说明,这里只是补充直接下载编译文件之后的操作!

 

全部都弄好了,什么问题我都遇到过一遍,基本的问题都可以解决,真是累死人!

 

 

参考:

    http://blog.csdn.net/lgfun/article/details/51325670

    http://blog.csdn.net/liu798675179/article/details/51259505

posted on 2017-05-04 10:13  影醉阏轩窗  阅读(11935)  评论(0编辑  收藏

导航

/* 线条鼠标集合 */ /* 鼠标点击求赞文字特效 */ //带头像评论